Subject: Ticket Assigned - Non arrivals item - 6146448151
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jun 2022 11:13:49 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Non arrivals item - 6146448151 Hello,

I’ve ordered this item a while ago and still have not received it. This is a very small item and I can’t see why it takes so long to deliver it. When I track the item it says order shipped on the 29th May. And nearly 3 weeks after I’m still waiting. Please cancel the order of it doesn’t reach me in a few days. Thank you

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4509150